#! /usr/bin/env bash

# Avoid rebuilds of the same version
[[ -e "build/giteapc-skip-rebuild.txt" ]] && exit 0

source util.sh
cd build

# Number of processor cores
if [[ $(uname) == "OpenBSD" || $(uname) == "Darwin" ]]; then
  cores=$(sysctl -n hw.ncpu)
else
  cores=$(nproc)
fi

echo "$TAG Compiling binutils (usually 5-10 minutes)..."

run_quietly giteapc-build.log \
$MAKE_COMMAND -j"$cores"
